%define	name		teewars
%define origname 	%{name}
%define	version		0.3.3
%define	release		%mkrel	1

Summary:	2d real-time multiplayer platform shoot'm up
Name:		%name
Version:	%version
Release:	%release
License:	Comercial
Group:		Games/Arcade
Source:		%{name}-%{version}-src.tar.gz
Source1:	%{name}.png
Source2:	bam.zip
Packager:	DidouPh
BuildRoot:	%_tmppath/%{name}-%{version}-buildroot
URL:		http://www.teewars.com/
BuildRequires: 	python libalsa2-devel libmesaglu1-devel libmesagl1-devel
Requires:	libalsa2 libmesaglu1 libmesagl1 libx11

%description
Teewars is an action 2D multiplayer shoot'm up game featuring "tee" characters in funny gun fight
%description -l fr
Teewars est un jeu d'action multijoueur en 2D mettant en scène les "tee" dans de rigolotes séances de combat d'armes à feu

%prep
%setup -q -n %name-%version-src
#%setup -q

%build
unzip %{SOURCE2}
cd ./bam
./make_unix.sh
cd ../
./bam/src/bam release

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/icons
mkdir -p %{buildroot}%{_datadir}/applnk/Multimedia

cp crapnet %{buildroot}%{_datadir}/%{name}
cp dilate %{buildroot}%{_datadir}/%{name}
cp fake_server %{buildroot}%{_datadir}/%{name}
cp map_resave %{buildroot}%{_datadir}/%{name}
cp mastersrv %{buildroot}%{_datadir}/%{name}
cp %{name} %{buildroot}%{_datadir}/%{name}
cp %{name}_srv %{buildroot}%{_datadir}/%{name}
cp tileset_borderfix %{buildroot}%{_datadir}/%{name}
cp *.txt %{buildroot}%{_datadir}/%{name}
cp -R data %{buildroot}%{_datadir}/%{name}
cp %{SOURCE1} %{buildroot}/%{_datadir}/icons/%{name}.png

# creating bin sh
cat > %{buildroot}%{_bindir}/%{name} <<EOF
cd /usr/share/teewars/
./teewars
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}
cat > %{buildroot}%{_bindir}/%{name}_srv <<EOF
cd /usr/share/teewars/
./teewars_srv
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}_srv
# creating desktop entry
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=%{name}
Comment=%{Summary}
Comment[fr_FR]=Shoot'm up de plate forme en 2D
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Game;ArcadeGame;KDE;X-MandrivaLinux-MoreApplications-Games-Arcade;
StartupNotify=true
Exec=%{name}
TryExec=/usr/bin/%{name}
EOF
 # adding menu entry
desktop-file-install \
   --vendor="" \
   --dir %{buildroot}/%{_datadir}/applications \
   %{buildroot}/%{_datadir}/applications/%{name}.desktop
   
%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT
 
%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/*

%changelog
* Tue Feb 4 2008 DidouPh <DidouPh@gmail.com> 0.3.3-1 
- first pclinuxos release
- fix menu category (texstar)

